Method: projects.locations.brands.stores.batchDelete

ストアを一括削除します。

HTTP リクエスト

POST https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/stores:batchDelete

この URL では gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
parent

string

必須。削除されるすべてのストアで共有される親リソース。形式: projects/{project}/locations/{location}/brands/{brand}

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "names": [
    string
  ]
}
フィールド
names[]

string

必須。削除するストアの名前。1 つのバッチで削除できる店舗は最大 1,000 件です。形式: projects/{project}/locations/{location}/brands/{brand}/stores/{store}

レスポンスの本文

成功した場合、レスポンスの本文は空の JSON オブジェクトになります。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/cloud-platform

詳細については、Authentication Overview をご覧ください。